# Class ProtectStatAbAttr

#### Hierarchy (view full)

- PreStatChangeAbAttr
  - ProtectStatAbAttr

- Defined in src/data/ability.ts:1940

#####
Index

### Constructors

constructor

### Properties

protectedStat
showAbility

### Methods

addCondition
apply
applyPreStatChange
getCondition
getTriggerMessage

## Constructors

### constructor

- new ProtectStatAbAttr(protectedStat?): ProtectStatAbAttr

- #### Parameters

  - `Optional` protectedStat: BattleStat

  #### Returns ProtectStatAbAttr

  Overrides PreStatChangeAbAttr.constructor

  - Defined in src/data/ability.ts:1943

## Properties

### `Private` protectedStat

protectedStat: BattleStat

- Defined in src/data/ability.ts:1941

### showAbility

showAbility: boolean

Inherited from PreStatChangeAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PreStatChangeAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PreStatChangeAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPreStatChange

- applyPreStatChange(pokemon, passive, stat, cancelled, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - stat: BattleStat
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean

  Overrides PreStatChangeAbAttr.applyPreStatChange

  - Defined in src/data/ability.ts:1949

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PreStatChangeAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Overrides PreStatChangeAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:1958